### Method

# Foundry GitUri get_clone_name

#### Declaration [src]

    char*
    foundry_git_uri_get_clone_name (
      const FoundryGitUri* self
    )

#### Description [src]

Determines a suggested name for the checkout directory. Some special handling of suffixes such as “.git” are performed to improve the the quality of results.

#### Return value

Type: `char*`

A string containing the suggested clone directory name, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.